Description:

Creates an arc-line-arc blend curve between two curves. The output is generally a PolyCurve with three segments: arc, line, arc. In some cases, one or more of those segments will be absent because they would have 0 length. If there is only a single segment, the result will either be an ArcCurve or a LineCurve.

Syntax:
public static Curve CreateArcLineArcBlend(
Point3d startPt,
Vector3d startDir,
Point3d endPt,
Vector3d endDir,
double radius
)
Parameters:
  • startPt
  • Type: Point3d
  • Start of the blend curve.
  • startDir
  • Type: Vector3d
  • Start direction of the blend curve.
  • endPt
  • Type: Point3d
  • End of the blend curve.
  • endDir
  • Type: Vector3d
  • End direction of the arc blend curve.
  • radius
  • Type: double
  • The radius of the arc segments.
Returns:
Type: Curve
The blend curve if successful, False otherwise.
Remarks:
The first arc segment will start at startPt, with starting tangent startDir. The second arc segment will end at endPt with end tangent endDir. The line segment will start from the end of the first arc segment and end at start of the second arc segment, and it will be tangent to both arcs at those points.
Available since:
7.9

/
/
/
CreateArcLineArcBlend

CreateArcLineArcBlend method

Class:  Rhino.Geometry.Curve

Nothing found